| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
BufferDataPack Class Reference
Basic

Simple DataPack based on an unstructured char array buffer. More...

`#include <datapack.h>`

Inheritance diagram for BufferDataPack:
[legend]

## Public Member Functions
| BufferDataPack (char *b=nullptr, od_int64 sz=0, const char *catgry="Buffer")
| BufferDataPack (const BufferDataPack &)
char * | buf ()
char const * | buf () const
float | nrKBytes () const override
void | setBuf (char *, od_int64)
od_int64 | size () const
Public Member Functions inherited from DataPack
virtual const char * | category () const
virtual void | dumpInfo (StringPairSet &) const
FullID | fullID (DataPackMgrID mgrid) const
DataPackID | id () const
virtual bool | isOK () const
DataPack * | obtain ()
void | release ()
Threads::Lock & | updateLock () const
Public Member Functions inherited from SharedObject
| SharedObject (const char *nm=nullptr)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Protected Member Functions
| ~BufferDataPack ()
Protected Member Functions inherited from DataPack
| DataPack (const char *categry)
| DataPack (const DataPack &)
| ~DataPack ()
void | setCategory (const char *c)
void | setManager (const DataPackMgr *)
Protected Member Functions inherited from SharedObject
| ~SharedObject ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Protected Attributes
char * | buf_ = nullptr
od_int64 | sz_
Protected Attributes inherited from DataPack
const BufferString | category_
const DataPackID | id_
const DataPackMgr * | manager_ = nullptr
Threads::Lock | updatelock_
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from DataPack
using | ID = DataPackID
using | MgrID = DataPackMgrID
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from DataPack
static DataPackID | cNoID ()
static DataPackID | cUdfID ()
static DataPackID | getID (const FullID &fid)
static const char * | sKeyCategory ()
Static Public Member Functions inherited from SharedObject
static Notifier< SharedObject > & | instanceCreated ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)
Static Protected Member Functions inherited from DataPack
static DataPackID | getNewID ()
| ensures a global data pack ID
static float | sKb2MbFac ()
| 1 / 1024

## Detailed Description

Simple DataPack based on an unstructured char array buffer.

<>

## Constructor & Destructor Documentation

## ◆ BufferDataPack() [1/2]

BufferDataPack::BufferDataPack | ( | char * | b = nullptr,
|  | od_int64 | sz = 0,
|  | const char * | catgry = "Buffer" )

## ◆ BufferDataPack() [2/2]

BufferDataPack::BufferDataPack | ( | const BufferDataPack & |  | ) |

## ◆ ~BufferDataPack()

BufferDataPack::~BufferDataPack | ( |  | ) |
| protected

## Member Function Documentation

## ◆ buf() [1/2]

char * BufferDataPack::buf | ( |  | ) |
| inline

## ◆ buf() [2/2]

char const * BufferDataPack::buf | ( |  | ) | const
| inline

## ◆ nrKBytes()

float BufferDataPack::nrKBytes | ( |  | ) | const
| inline override virtual

Implements DataPack.

## ◆ setBuf()

void BufferDataPack::setBuf | ( | char * | ,
|  | od_int64 | )

## ◆ size()

od_int64 BufferDataPack::size | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ buf_

char* BufferDataPack::buf_ = nullptr
| protected

## ◆ sz_

od_int64 BufferDataPack::sz_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025